#
# Set password of list of users as a string
#
cloud_config: |
  #cloud-config
  ssh_pwauth: yes
  users:
    - default
    - name: tom
      # md5 gotomgo
      passwd: "$1$S7$tT1BEDIYrczeryDQJfdPe0"
      lock_passwd: false
    - name: dick
      # md5 gocubsgo
      passwd: "$1$ssisyfpf$YqvuJLfrrW6Cg/l53Pi1n1"
      lock_passwd: false
    - name: harry
      # sha512 goharrygo
      passwd: "$6$LF$9Z2p6rWK6TNC1DC6393ec0As.18KRAvKDbfsGJEdWN3sRQRwpdfoh37EQ3yUh69tP4GSrGW5XKHxMLiKowJgm/"
      lock_passwd: false
    - name: jane
      # sha256 gojanego
      passwd: "$5$iW$XsxmWCdpwIW8Yhv.Jn/R3uk6A4UaicfW5Xp7C9p9pg."
      lock_passwd: false
    - name: "mikey"
      lock_passwd: false
  chpasswd:
    list: |
      tom:mypassword123!
      dick:RANDOM
      harry:RANDOM
      mikey:$5$xZ$B2YGGEx2AOf4PeW48KC6.QyT1W2B4rZ9Qbltudtha89
collect_scripts:
  shadow: |
    #!/bin/bash
    cat /etc/shadow
  sshd_config: |
    #!/bin/bash
    grep '^PasswordAuth' /etc/ssh/sshd_config

# vi: ts=4 expandtab
